# class Rake::InvocationChain::EmptyInvocationChain

Null object for an empty chain.

### Public Instance Methods

append(invocation) click to toggle source

    # File lib/rake/invocation_chain.rb, line 46
    def append(invocation)
      conj(invocation)
    end

member?(obj) click to toggle source

    # File lib/rake/invocation_chain.rb, line 42
    def member?(obj)
      false
    end

to_s() click to toggle source

    # File lib/rake/invocation_chain.rb, line 50
    def to_s
      "TOP"
    end